// Used by the "Control Panel" overlay
// Romainrob  
// SimHub Discord

// Reads the title and content of the notifactions to set the colors of the matching buttons


function controlTargetStatus(target) {

    const title = $prop('DataCorePlugin.PluginNotification_Title');
    const content = $prop('DataCorePlugin.PluginNotification_Content');


    if (muted == null) {
        var muted = 2;
    }

    if (title == target && content == 'Muted') {
        var muted = 1;
    }

    if (title == target && content != 'Muted') {
        var muted = 0;
    }

    
    if (root['i'] == null) {
        root['i'] = 0;
    }

    if (title == target && root['i'] == 0) {
        root['i'] = 1;
    }

    if (muted == 1 && root['i'] < 2) {
        root['i']++;
    }

    if (muted == 0 && root['i'] > 1) {
        root['i']--;
    }


    return {
        0: 'Silver', 	// Status Unknown
        1: 'White',		// Not Muted
        2: '#FFFFBB40',	// Muted (orange)
    }[root['i']];
}